#605 Bootstrapping exception for GPRbuild
Closed: Fixed None Opened 5 years ago by rombobeorn.

GPRbuild is a build tool. Originally it was built with other tools, but the latest version is built with GPRbuild, so the package now has a BuildRequires dependency on itself.

As a working GPRbuild must be present before GPRbuild can be built, I ask the FPC to formally recognize that GPRbuild needs to be bootstrapped with precompiled executable files in three situations:

  1. To make GPRbuild available on a new architecture.
  2. In case a bad build breaks the package in Rawhide.
  3. In case a new version can't be built with the previous version (although I deem this unlikely).

We discussed this at this weeks meeting (http://meetbot.fedoraproject.org/fedora-meeting-1/2016-03-03/fpc.2016-03-03-17.00.txt):

Metadata Update from @tibbs:
- Issue assigned to tibbs

4 years ago

Login to comment on this ticket.

Metadata